package document
{
	import com.vulcan.application.frame.itemBase.WindowItem;
	import com.vulcan.application.framework.behavior.builder.DocumentItemBuilderBase;

	/**  
	 * 
	 * @Project : Vulcan Project
	 * @Author : Park Dong-il (pdi1066@naver.com)
	 * @Date : 2010. 7. 23.
	 */
	public class DocumentItemBuilder extends DocumentItemBuilderBase
	{
		public function DocumentItemBuilder()
		{
			super();
		}
		
		// Mediator 등록
		override protected function registMediatorList():void
		{
			super.registMediatorList();
			
			var windowItem:WindowItem = viewComponent as WindowItem;
			registerMED(DocumentItemMED, windowItem, documentUID);
		}
		
		////////////////////////////////////
		// End
		////////////////////////////////////
	}
}