/***
 
 @Project : Vulcan Project
 @Author : Park Dong-il (pdi1066@naver.com)
 @Date : Sep 12, 2010
 
 ***/
package newsystem
{
	import com.vulcan.application.framework.behavior.group.ManagerGroup;
	import com.vulcan.application.framework.behavior.manager.ItemBuilderManager;
	import com.vulcan.application.framework.behavior.manager.PopupContentManager;
	
	import newsystem.manager.NewItemBuilderManager;
	
	import popups.NewPopupContentManager;
	
	public class NewManagerGroup extends ManagerGroup
	{
		public function NewManagerGroup()
		{
		}
		
		//-------------------------------
		// ItemBuilderManager
		//-------------------------------
		
		override protected function createItemBuilderManager():ItemBuilderManager
		{
			var manager:ItemBuilderManager = new NewItemBuilderManager();
			return manager;
		}
		
		//-------------------------------
		// PopupContentManager
		//-------------------------------
		
		override protected function createPopupContentManager():PopupContentManager
		{
			var manager:PopupContentManager = new NewPopupContentManager();
			return manager;
		}
		
		////////////////////////////////
		// End
		////////////////////////////////
	}
}