/***
 
 @Project : Vulcan Project
 @Author : Park Dong-il (pdi1066@naver.com)
 @Date : Sep 8, 2010
 
 ***/
package newsystem
{
	import com.vulcan.application.framework.behavior.group.ProcedureGroup;
	import com.vulcan.application.framework.behavior.procedure.ProcedureBase;
	
	import newsystem.procedure.NewDocumentProcedure;
	
	public class NewProcedureGroup extends ProcedureGroup
	{
		public function NewProcedureGroup()
		{
			super();
		}
		
		////////////////////////////////
		// 오버라이딩된 Procedure
		////////////////////////////////
		
		//-------------------------------
		// 새문서 열기 작업 흐름 오버라이딩
		//-------------------------------
		
		override protected function createNewDocumentProcedure():ProcedureBase
		{
			var procedure:ProcedureBase = new NewDocumentProcedure();
			return procedure;
		}
		
		////////////////////////////////
		// End
		////////////////////////////////
	}
}