package items.component
{
	import com.vulcan.application.frame.itemBase.WindowItem;
	import com.vulcan.application.framework.behavior.builder.BuilderBase;

	/**  
	 * 
	 * @Project : Vulcan Project
	 * @Author : Park Dong-il (pdi1066@naver.com)
	 * @Date : 2010. 7. 14.
	 */
	public class ComponentWindowItemBuilder extends BuilderBase
	{
		public function ComponentWindowItemBuilder()
		{
			super();
		}
		
		/////////////////////////////////
		// override
		/////////////////////////////////
		/*
		// Command 등록
		override protected function registCommandList():void
		{
			super.registCommandList();
		}
		
		// Data Proxy 등록 - app 구동에 필요한 데이터를 로드
		// 등록되는 Proxy Class 는 XmlLoaderBase의 하위 클래스여야 합니다.
		override protected function registDataList():void
		{
			super.registDataList();
		}
		*/
		// Mediator 등록
		override protected function registMediatorList():void
		{
			super.registMediatorList();
			
			var windowItem:WindowItem = viewComponent as WindowItem;
			//var instance:ComponentWindowItem = windowItem.instance as ComponentWindowItem;
			registerMED(ComponentWindowItemMED, windowItem);
		}
		/*
		// Proxy 등록
		// xml 로드가 필요한 경우에는 XmlLoaderBase를 상속받은 클래스를 registDataProxyList에서 등록한다.
		override protected function registProxyList():void
		{
			super.registProxyList();
		}
		*/
		
		////////////////////////////////////
		// End
		////////////////////////////////////
	}
}